#include<iostream>
#include<cstring>

using namespace std;

void spoji(char a[],char b[],char c[],char x[]){
    strcpy(x,a);
    strcat(x,b);
    strcat(x,c);
}
char* maximum(char x[][60],int n){
    char *m=x[0];
    for(int i=1;i<n;i++)
        if(strcmp(m,x[i])<0)
            m=x[i];
    return m;
}
int main(){
    char a[20],b[20],c[20];
    char x[6][60];
    cin>>a>>b>>c;
    spoji(a,b,c,x[0]);
    spoji(a,c,b,x[1]);
    spoji(b,a,c,x[2]);
    spoji(b,c,a,x[3]);
    spoji(c,a,b,x[4]);
    spoji(c,b,a,x[5]);
    cout<<maximum(x,6);
    return 0;
}